Bug 213219 - Create JavaFX Class Library project sub-type
Create JavaFX Class Library project sub-type
Status: RESOLVED FIXED
Product: javafx
Classification: Unclassified
Component: Project
7.2
PC Windows 7
: P2 with 1 vote (vote)
: 7.4
Assigned To: Petr Somol
issues@javafx
:
Depends on:
Blocks: 199283 213205 217206
  Show dependency treegraph
 
Reported: 2012-05-30 08:18 UTC by Petr Somol
Modified: 2013-05-29 13:07 UTC (History)
2 users (show)

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Somol 2012-05-30 08:18:07 UTC
This should be the counterpart of Java Class Library. Java Class Library does not support FX; but is can not currently be replaced by an instance of "library" FX Application due to the fact that FX Application build infrastructure is optimized to create launchable deployment artifacts.
Comment 1 Alexander Kouznetsov 2012-08-22 09:46:48 UTC
This type of project is really needed as there are cases when you want to create parts of application that doesn't have any run method but depend on jfrt.jar. Adding it manually doesn't seem to be a nice solution as it goes into project's lib folder and require additional work to maintain correct link.

I'm not sure why issue 166531 was closed and would like to investigate the problem in more detail.
Comment 2 Petr Somol 2013-05-29 13:07:16 UTC
From NetBeans 7.4 onwards this is no longer an issue, because standard Java Class Library now takes over the role of the originally intended "JavaFX Class Library". This is made possible by changes described in Issue #229705.

To use standard Java Class Library for JavaFX development, go to Project Properties, Deployment panel, and check "Keep JavaFX Runtime on Classpath". The underlying update mechanism will keep the correct jfxrt.jar and possibly other FX RT artifacts on classpath, even after changes of current Java Platform.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo